testing::TestProperty Class Reference

`#include <gtest.h>`

## Public Member Functions

| TestProperty (const std::string &a_key, const std::string &a_value)
const char * | key () const
const char * | value () const
void | SetValue (const std::string &new_value)

## Detailed Description

Definition at line 15133 of file gtest.h.

## Constructor & Destructor Documentation

## TestProperty()

testing::TestProperty::TestProperty | ( | const std::string & | a_key,
|  | const std::string & | a_value
| ) |  |

inline

Definition at line 15138 of file gtest.h.

## Member Function Documentation

## key()

const char* testing::TestProperty::key | ( |  | ) | const

inline

Definition at line 15143 of file gtest.h.

## SetValue()

void testing::TestProperty::SetValue | ( | const std::string & | new_value | ) |

inline

Definition at line 15153 of file gtest.h.

## value()

const char* testing::TestProperty::value | ( |  | ) | const

inline

Definition at line 15148 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h